
%define rname gtk-qt-engine
Name: gtk-qt4-engine
Version: 1.1
Release: alt1

Summary: GTK-Qt4 Theme Engine
Group: Graphical desktop/Other
License: GPL
Url: http://www.freedesktop.org/Software/gtk-qt

Requires: kde4libs >= %{get_version kde4libs}

Source: %url/%rname-%version.tar.bz2
Patch1: gtk-qt-engine-1.1-rename-po.patch

BuildPreReq: kde4libs
BuildRequires: cmake gcc-c++ kde4libs-devel libbonoboui-devel libjpeg-devel xorg-x11-devel

%description
This GTK theme engine uses the currently selected Qt4 style to do it's drawing.
Basically, it makes your GTK apps look like Qt4 ones.


%prep
%setup -q -n %rname
%patch1 -p1


%build
%define _optlevel s
%add_optflags -DNDEBUG
%define lib_suffix %nil
%ifarch x86_64 ppc64
%define lib_suffix 64
%endif
cmake . \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DCMAKE_BUILD_TYPE:STRING=Release \
    -DCMAKE_C_FLAGS:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS:STRING='%optflags' \
    -DCMAKE_C_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING='%optflags' \
    -DLIB_DESTINATION=%_lib \
    -DLIB_SUFFIX=%lib_suffix

%make_build VERBOSE=1

%install
%make DESTDIR=%buildroot install
mv %buildroot/%_K4libdir/kde4link/kde4 %buildroot/%_K4libdir/

install -D -m 0644 %buildroot/%_iconsdir/kcmgtk.png \
    %buildroot/%_iconsdir/hicolor/48x48/apps/kcmgtk.png


%K4find_lang --with-kde gtkqt4engine


%files -f gtkqt4engine.lang
%doc AUTHORS INSTALL ChangeLog
%_libdir/gtk-2.0/*/engines/libqt4engine.so
%_K4lib/kcm*.so
%_datadir/themes/Qt4
#%_datadir/gtk-qt-engine
%_K4xdg_apps/kcmgtk4.desktop
%_iconsdir/hicolor/*/apps/kcmgtk.*

%changelog
* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt1
- new version

* Mon Sep 18 2006 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- release 0.7

* Sat Oct 01 2005 Dmitry Vukolov <dav@altlinux.ru> 0.7-alt0.1cvs
- CVS snapshot dated October 1, 2005 
- fixed bug #7902; many thanks to Alexey Morozov (morozov@)
- updated BuildRequires

* Wed Dec 29 2004 Dmitry Vukolov <dav@altlinux.ru> 0.6-alt1
- new version

* Fri Aug 13 2004 Dmitry Vukolov <dav@altlinux.ru> 0.5-alt1
- version 0.5
- scrollbar and toolbar patch from cvs
- updated BuildRequires
- package renamed from gtk-qt-engines to gtk-qt-engine

* Tue May 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.3-alt1
- version 0.3
- updated URL

* Thu Feb 05 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2-alt1
- initial package
